package com.company.ficons.view.main;

import com.company.ficons.icons.MyIcons;
import com.vaadin.flow.router.Route;
import io.jmix.flowui.app.main.StandardMainView;
import io.jmix.flowui.component.main.JmixListMenu;
import io.jmix.flowui.view.Subscribe;
import io.jmix.flowui.view.ViewComponent;
import io.jmix.flowui.view.ViewController;
import io.jmix.flowui.view.ViewDescriptor;

@Route("")
@ViewController("MainView")
@ViewDescriptor("main-view.xml")
public class MainView extends StandardMainView {
    @ViewComponent
    private JmixListMenu menu;

    @Subscribe
    protected void onInit(final InitEvent event) {
        menu.getMenuItem("User.list")
                .setPrefixComponent(MyIcons.BUSHES_OF_LEAVES_SVGREPO_COM.create());
    }
}
